{ config, pkgs, ... }:

{
  programs.ibus.enable = true;
  programs.ibus.plugins = [ pkgs.ibus-anthy pkgs.mozc ];

  environment.systemPackages = with pkgs; with haskellngPackages; [
    xlibs.xwininfo # for gnome maximus extension
    unzip
    gnome3.libgweather
  ];

  environment.gnome3.packageSet = pkgs.gnome3_16;
  nixpkgs.config.packageOverrides = pkgs: rec {
    gnome3 = pkgs.gnome3_16;
  };

  fonts = {
    fonts = with pkgs; [
      inconsolata
      dejavu_fonts
      ipafont
      unifont
      ubuntu_font_family
    ];
  };

  services.xserver.enable = true;
  services.xserver.displayManager.gdm.enable = true;
  services.xserver.displayManager.desktopManagerHandlesLidAndPower = false;
  services.xserver.desktopManager.gnome3.enable = true;
  services.xserver.layout = "us";
  services.xserver.xkbVariant = "altgr-intl";
  services.xserver.xkbOptions = "caps:ctrl_modifier";
  services.dbus.packages = [ pkgs.colord ];
}
